<?xml version="1.0" encoding="UTF-8"?>
<!--
Schematron
Generated by CoreFiling: generator revision 413566
Wed Oct 15 10:45:24 BST 2014
-->
<sch:schema xmlns:sch="http://purl.oclc.org/dsdl/schematron" queryBinding="exslt">
  <sch:title>Schematron for r68</sch:title>
  <sch:ns prefix="hd" uri="http://www.govtalk.gov.uk/CM/envelope"/>
  <sch:ns prefix="dsig" uri="http://www.w3.org/2000/09/xmldsig#"/>
  <sch:ns prefix="r68" uri="http://www.govtalk.gov.uk/taxation/charities/r68/2"/>
    <sch:pattern id="p2">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/r68:IRenvelope/r68:IRheader/r68:Keys/r68:Key">
        <sch:assert test="count(../../../../../hd:GovTalkDetails/hd:Keys/hd:Key[@Type = current()/@Type and . = current()]) &gt; 0" id="a_IRheader.1" diagnostics="errorCode.IRheader.1 transactional.IRheader.1 transactional.en.IRheader.1 ">Keys in the IR header must also exist in the GovTalk header with the same value</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p1">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/r68:IRenvelope/r68:IRheader">
        <sch:assert test="count(r68:Keys/r68:Key) &gt; 0" id="a_IRheader.0" diagnostics="errorCode.IRheader.0 transactional.IRheader.0 transactional.en.IRheader.0 ">At least one key must exist in the IRheader</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p4">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/r68:IRenvelope/r68:R68/r68:CollAgent/r68:AgentNo">
        <sch:assert test="count(../../../../../hd:GovTalkDetails/hd:Keys/hd:Key[@Type = &apos;AGENTCHARID&apos; and normalize-space(.) = current()]) &gt; 0" id="a_COLL-AGENCY-NUMBER.0" diagnostics="errorCode.COLL-AGENCY-NUMBER.0 transactional.COLL-AGENCY-NUMBER.0 transactional.en.COLL-AGENCY-NUMBER.0 ">[COLL-AGENCY-NUMBER] must match the AGENTCHARID key in the GovTalk envelope</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p5">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/r68:IRenvelope/r68:R68/r68:AuthOfficial">
        <sch:assert test="(count(r68:OffName) + count(r68:Trustee)) = 1" id="a_OFF-PERSON.0" diagnostics="errorCode.OFF-PERSON.0 transactional.OFF-PERSON.0 transactional.en.OFF-PERSON.0 ">Exactly one of [OFF-NAME] or [OFF-ORG-NAME] must be submitted.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p6">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/r68:IRenvelope/r68:R68/r68:AgtOrNom">
        <sch:assert test="r68:AoNName or r68:OrgName" id="a_AGENT-OR-NOMINEE.0" diagnostics="errorCode.AGENT-OR-NOMINEE.0 transactional.AGENT-OR-NOMINEE.0 transactional.en.AGENT-OR-NOMINEE.0 ">Must submit at least one of [AON-NAME] and [AON-ORG-NAME]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p8">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/r68:IRenvelope/r68:R68/r68:Claim/r68:HMRCref">
        <sch:assert test="../../r68:CollAgent 
                 or 
               count(../../../../../hd:GovTalkDetails/hd:Keys/hd:Key[@Type = &apos;CHARID&apos; and normalize-space(.) = current()]) &gt; 0" id="a_ORG-REF.0" diagnostics="errorCode.ORG-REF.0 transactional.ORG-REF.0 transactional.en.ORG-REF.0 ">[ORG-REF] must match the CHARID key in the GovTalk envelope unless [COLL-AGENT] is present.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p9">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/r68:IRenvelope/r68:R68/r68:Claim/r68:Regulator">
        <sch:assert test="not(r68:RegName) or r68:RegNo" id="a_REGULATOR.0" diagnostics="errorCode.REGULATOR.0 transactional.REGULATOR.0 transactional.en.REGULATOR.0 ">[REG-NUM] should be present if [REG-NAME] is present</sch:assert>
        <sch:assert test="not(../../r68:CollAgent)" id="a_REGULATOR.1" diagnostics="errorCode.REGULATOR.1 transactional.REGULATOR.1 transactional.en.REGULATOR.1 ">[REGULATOR] should not be present if [COLL-AGENT] is present</sch:assert>
        <sch:assert test="not((substring(../r68:HMRCref, 1, 2) = &apos;CH&apos;) or (substring(../r68:HMRCref, 1, 2) = &apos;CF&apos;))" id="a_REGULATOR.2" diagnostics="errorCode.REGULATOR.2 transactional.REGULATOR.2 transactional.en.REGULATOR.2 ">[REGULATOR] is prohibited if [ORG-REF] starts with CH or CF.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p11">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/r68:IRenvelope/r68:R68/r68:Claim/r68:Repayment/r68:GAD/r68:AggDonation">
        <sch:assert test="../r68:Total &lt;= 1000" id="a_AGGREGATED-DONATIONS.0" diagnostics="errorCode.AGGREGATED-DONATIONS.0 transactional.AGGREGATED-DONATIONS.0 transactional.en.AGGREGATED-DONATIONS.0 ">If [AGGREGATED-DONATIONS] is present [DONATION-TOTAL] should not exceed 1000</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p12">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/r68:IRenvelope/r68:R68/r68:Claim/r68:Repayment/r68:GAD/r68:Sponsored">
        <sch:assert test="not(../r68:AggDonation)" id="a_SPONSORED-EVENT-IND.0" diagnostics="errorCode.SPONSORED-EVENT-IND.0 transactional.SPONSORED-EVENT-IND.0 transactional.en.SPONSORED-EVENT-IND.0 ">[SPONSORED-EVENT-IND] should not be present if [AGGREGATED-DONATIONS] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p13">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/r68:IRenvelope/r68:R68/r68:Claim/r68:Repayment/r68:GAD/r68:Date">
        <sch:assert test="/hd:GovTalkMessage/hd:Header/hd:MessageDetails/hd:GatewayTimestamp and (round(date:seconds(normalize-space(.)) div 86400) &lt;= round(date:seconds(normalize-space(substring(normalize-space(/hd:GovTalkMessage/hd:Header/hd:MessageDetails/hd:GatewayTimestamp), 1, 10))) div 86400))" id="a_DONATION-DATE.0" diagnostics="errorCode.DONATION-DATE.0 transactional.DONATION-DATE.0 transactional.en.DONATION-DATE.0 ">[DONATION-DATE] must not be later than gateway timestamp</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p15">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/r68:IRenvelope/r68:R68/r68:Claim/r68:Repayment/r68:OtherInc/r68:OIDate">
        <sch:assert test="/hd:GovTalkMessage/hd:Header/hd:MessageDetails/hd:GatewayTimestamp and (round(date:seconds(normalize-space(.)) div 86400) &lt;= round(date:seconds(normalize-space(substring(normalize-space(/hd:GovTalkMessage/hd:Header/hd:MessageDetails/hd:GatewayTimestamp), 1, 10))) div 86400))" id="a_OI-DATE.0" diagnostics="errorCode.OI-DATE.0 transactional.OI-DATE.0 transactional.en.OI-DATE.0 ">[OI-DATE] must not be later than gateway timestamp</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p16">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/r68:IRenvelope/r68:R68/r68:Claim/r68:Repayment/r68:OtherInc/r68:Tax">
        <sch:assert test=". &lt; ../r68:Gross" id="a_OI-TAX-DEDUCTED.0" diagnostics="errorCode.OI-TAX-DEDUCTED.0 transactional.OI-TAX-DEDUCTED.0 transactional.en.OI-TAX-DEDUCTED.0 ">[OI-TAX-DEDUCTED] must be less than [OI-GROSS-PAYMENT]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p14">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/r68:IRenvelope/r68:R68/r68:Claim/r68:Repayment/r68:OtherInc">
        <sch:assert test="not(../../../r68:CollAgent)" id="a_OTHER-INCOME.0" diagnostics="errorCode.OTHER-INCOME.0 transactional.OTHER-INCOME.0 transactional.en.OTHER-INCOME.0 ">[OTHER-INCOME] should not be present if [COLL-AGENT] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p17">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/r68:IRenvelope/r68:R68/r68:Claim/r68:Repayment/r68:Adjustment">
        <sch:assert test="../../r68:OtherInfo" id="a_ADJUSTMENT.0" diagnostics="errorCode.ADJUSTMENT.0 transactional.ADJUSTMENT.0 transactional.en.ADJUSTMENT.0 ">If [ADJUSTMENT] is present the following should be true: [OTHER-INFORMATION] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p10">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/r68:IRenvelope/r68:R68/r68:Claim/r68:Repayment">
        <sch:assert test="not(r68:GAD) or r68:EarliestGAdate" id="a_TAX-REPAYMENT.0" diagnostics="errorCode.TAX-REPAYMENT.0 transactional.TAX-REPAYMENT.0 transactional.en.TAX-REPAYMENT.0 ">[EARLIEST-DONATION-DATE] should be present if [DONATION] is present</sch:assert>
        <sch:assert test="r68:GAD or r68:OtherInc" id="a_TAX-REPAYMENT.1" diagnostics="errorCode.TAX-REPAYMENT.1 transactional.TAX-REPAYMENT.1 transactional.en.TAX-REPAYMENT.1 ">Must submit at least one of [DONATION] or [OTHER-INCOME]</sch:assert>
        <sch:assert test="count(r68:GAD) &lt;= 500000" id="a_TAX-REPAYMENT.2" diagnostics="errorCode.TAX-REPAYMENT.2 transactional.TAX-REPAYMENT.2 transactional.en.TAX-REPAYMENT.2 ">[DONATION] may occur up to 500,000 times.</sch:assert>
        <sch:assert test="count(r68:OtherInc) &lt;= 2000" id="a_TAX-REPAYMENT.3" diagnostics="errorCode.TAX-REPAYMENT.3 transactional.TAX-REPAYMENT.3 transactional.en.TAX-REPAYMENT.3 ">[OTHER-INCOME] may occur up to 2,000 times.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p19">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/r68:IRenvelope/r68:R68/r68:Claim/r68:GASDS/r68:ConnectedCharities">
        <sch:assert test="not((.) = &apos;yes&apos;) or ../r68:Charity" id="a_GASDS-CONNECTED-CHARITIES.2" diagnostics="errorCode.GASDS-CONNECTED-CHARITIES.2 transactional.GASDS-CONNECTED-CHARITIES.2 transactional.en.GASDS-CONNECTED-CHARITIES.2 ">[GASDS-CONNECTED-CHARITY] should be present if [GASDS-CONNECTED-CHARITIES] equals 'yes'</sch:assert>
        <sch:assert test="not((.) = &apos;no&apos;) or not(../r68:Charity)" id="a_GASDS-CONNECTED-CHARITIES.0" diagnostics="errorCode.GASDS-CONNECTED-CHARITIES.0 transactional.GASDS-CONNECTED-CHARITIES.0 transactional.en.GASDS-CONNECTED-CHARITIES.0 ">[GASDS-CONNECTED-CHARITY] should not be present if [GASDS-CONNECTED-CHARITIES] equals 'no'</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p20">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/r68:IRenvelope/r68:R68/r68:Claim/r68:GASDS/r68:GASDSClaim/r68:Year">
        <sch:assert test="/hd:GovTalkMessage/hd:Header/hd:MessageDetails/hd:GatewayTimestamp and (.) &lt;= date:year(normalize-space(date:add(normalize-space(substring(normalize-space(/hd:GovTalkMessage/hd:Header/hd:MessageDetails/hd:GatewayTimestamp), 1, 10)),normalize-space(&apos;-P3M5D&apos;)))) + 1" id="a_GASDS-TAX-YEAR.0" diagnostics="errorCode.GASDS-TAX-YEAR.0 transactional.GASDS-TAX-YEAR.0 transactional.en.GASDS-TAX-YEAR.0 ">[GASDS-TAX-YEAR] must not be later than the current tax year.</sch:assert>
        <sch:assert test="/hd:GovTalkMessage/hd:Header/hd:MessageDetails/hd:GatewayTimestamp and (.) &gt;= date:year(normalize-space(date:add(normalize-space(substring(normalize-space(/hd:GovTalkMessage/hd:Header/hd:MessageDetails/hd:GatewayTimestamp), 1, 10)),normalize-space(&apos;-P3M5D&apos;)))) - 2" id="a_GASDS-TAX-YEAR.1" diagnostics="errorCode.GASDS-TAX-YEAR.1 transactional.GASDS-TAX-YEAR.1 transactional.en.GASDS-TAX-YEAR.1 ">[GASDS-TAX-YEAR] must not be earlier than CY-3.</sch:assert>
        <sch:assert test="count(../../../../r68:Claim/r68:GASDS/r68:GASDSClaim/r68:Year[number(.) = number(current())]) = 1" id="a_GASDS-TAX-YEAR.2" diagnostics="errorCode.GASDS-TAX-YEAR.2 transactional.GASDS-TAX-YEAR.2 transactional.en.GASDS-TAX-YEAR.2 ">[GASDS-TAX-YEAR] must be unique within a submission</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p21">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/r68:IRenvelope/r68:R68/r68:Claim/r68:GASDS/r68:CommBldgs">
        <sch:assert test="not((.) = &apos;yes&apos;) or ../r68:Building" id="a_GASDS-COMMUNITY-BUILDINGS.0" diagnostics="errorCode.GASDS-COMMUNITY-BUILDINGS.0 transactional.GASDS-COMMUNITY-BUILDINGS.0 transactional.en.GASDS-COMMUNITY-BUILDINGS.0 ">[GASDS-COMMUNITY-BUILDING] should be present if [GASDS-COMMUNITY-BUILDINGS] equals yes</sch:assert>
        <sch:assert test="not((.) = &apos;no&apos;) or not(../r68:Building)" id="a_GASDS-COMMUNITY-BUILDINGS.1" diagnostics="errorCode.GASDS-COMMUNITY-BUILDINGS.1 transactional.GASDS-COMMUNITY-BUILDINGS.1 transactional.en.GASDS-COMMUNITY-BUILDINGS.1 ">[GASDS-COMMUNITY-BUILDING] should not be present if [GASDS-COMMUNITY-BUILDINGS] equals no</sch:assert>
        <sch:assert test="not(starts-with(../../r68:HMRCref, &apos;CH&apos;) or starts-with(../../r68:HMRCref, &apos;CF&apos;))
                  or (.) = &apos;no&apos;" id="a_GASDS-COMMUNITY-BUILDINGS.2" diagnostics="errorCode.GASDS-COMMUNITY-BUILDINGS.2 transactional.GASDS-COMMUNITY-BUILDINGS.2 transactional.en.GASDS-COMMUNITY-BUILDINGS.2 ">[GASDS-COMMUNITY-BUILDINGS] should be 'no' if [ORG-REF] starts with 'CH' or 'CF'.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p22">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/r68:IRenvelope/r68:R68/r68:Claim/r68:GASDS/r68:Building/r68:BldgClaim/r68:Year">
        <sch:assert test="/hd:GovTalkMessage/hd:Header/hd:MessageDetails/hd:GatewayTimestamp and (.) &lt;= date:year(normalize-space(date:add(normalize-space(substring(normalize-space(/hd:GovTalkMessage/hd:Header/hd:MessageDetails/hd:GatewayTimestamp),1,10)),normalize-space(&apos;-P3M5D&apos;)))) + 1" id="a_GASDS-CB-TAX-YEAR.0" diagnostics="errorCode.GASDS-CB-TAX-YEAR.0 transactional.GASDS-CB-TAX-YEAR.0 transactional.en.GASDS-CB-TAX-YEAR.0 ">[GASDS-CB-TAX-YEAR] must not be later than the current tax year.</sch:assert>
        <sch:assert test="/hd:GovTalkMessage/hd:Header/hd:MessageDetails/hd:GatewayTimestamp and (.) &gt;= date:year(normalize-space(date:add(normalize-space(substring(normalize-space(/hd:GovTalkMessage/hd:Header/hd:MessageDetails/hd:GatewayTimestamp),1,10)),normalize-space(&apos;-P3M5D&apos;)))) - 2" id="a_GASDS-CB-TAX-YEAR.1" diagnostics="errorCode.GASDS-CB-TAX-YEAR.1 transactional.GASDS-CB-TAX-YEAR.1 transactional.en.GASDS-CB-TAX-YEAR.1 ">[GASDS-CB-TAX-YEAR] must not be earlier than CY-3.</sch:assert>
        <sch:assert test="count(../../r68:BldgClaim/r68:Year[number(.) = number(current())]) = 1" id="a_GASDS-CB-TAX-YEAR.2" diagnostics="errorCode.GASDS-CB-TAX-YEAR.2 transactional.GASDS-CB-TAX-YEAR.2 transactional.en.GASDS-CB-TAX-YEAR.2 ">[GASDS-CB-TAX-YEAR] must be unique within a [GASDS-COMMUNITY-BUILDING]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p23">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/r68:IRenvelope/r68:R68/r68:Claim/r68:GASDS/r68:Adj">
        <sch:assert test="../../r68:OtherInfo" id="a_GASDS-ADJUSTMENT.0" diagnostics="errorCode.GASDS-ADJUSTMENT.0 transactional.GASDS-ADJUSTMENT.0 transactional.en.GASDS-ADJUSTMENT.0 ">If [GASDS-ADJUSTMENT] is present the following should be true: [OTHER-INFORMATION] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p18">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/r68:IRenvelope/r68:R68/r68:Claim/r68:GASDS">
        <sch:assert test="not(../../r68:CollAgent)" id="a_GASDS.0" diagnostics="errorCode.GASDS.0 transactional.GASDS.0 transactional.en.GASDS.0 ">[GASDS] should not be present if [COLL-AGENT] is present</sch:assert>
        <sch:assert test="count(r68:Charity) &lt;= 1000" id="a_GASDS.1" diagnostics="errorCode.GASDS.1 transactional.GASDS.1 transactional.en.GASDS.1 ">[GASDS-CONNECTED-CHARITY] may occur up to 1,000 times.</sch:assert>
        <sch:assert test="count(r68:Building) &lt;= 1000" id="a_GASDS.2" diagnostics="errorCode.GASDS.2 transactional.GASDS.2 transactional.en.GASDS.2 ">[GASDS-COMMUNITY-BUILDING] may occur up to 1,000 times.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p7">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/r68:IRenvelope/r68:R68/r68:Claim">
        <sch:assert test="r68:Repayment or r68:GASDS" id="a_CLAIM.3" diagnostics="errorCode.CLAIM.3 transactional.CLAIM.3 transactional.en.CLAIM.3 ">Must submit at least one of [TAX-REPAYMENT] or [GASDS]</sch:assert>
        <sch:assert test="(../r68:CollAgent
             or (substring(r68:HMRCref, 1, 2) = &apos;CH&apos;) or substring(r68:HMRCref, 1, 2) = &apos;CF&apos;)
            or r68:Regulator" id="a_CLAIM.4" diagnostics="errorCode.CLAIM.4 transactional.CLAIM.4 transactional.en.CLAIM.4 ">[REGULATOR] is mandatory if [ORG-REF] does not start with CH or CF and [COLL-AGENT] is absent.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p3">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/r68:IRenvelope/r68:R68">
        <sch:assert test="not(../../../hd:Header/hd:MessageDetails/hd:Class = &apos;HMRC-CHAR-CLM-MULTI&apos;) or (r68:CollAgent)" id="a_COLL-AGENT.0" diagnostics="errorCode.COLL-AGENT.0 transactional.COLL-AGENT.0 transactional.en.COLL-AGENT.0 ">[COLL-AGENT] is mandatory if the message class within the GovTalk header is 'HMRC-CHAR-CLM-MULTI'.</sch:assert>
        <sch:assert test="not((../../../hd:Header/hd:MessageDetails/hd:Class = &apos;HMRC-CHAR-CLM&apos;) and r68:CollAgent)" id="a_COLL-AGENT.1" diagnostics="errorCode.COLL-AGENT.1 transactional.COLL-AGENT.1 transactional.en.COLL-AGENT.1 ">[COLL-AGENT] is prohibited if the message class within the GovTalk header is 'HMRC-CHAR-CLM'.</sch:assert>
        <sch:assert test="not(r68:CollAgent) or count(r68:Claim) &lt;= 10000" id="a_CLAIM.0" diagnostics="errorCode.CLAIM.0 transactional.CLAIM.0 transactional.en.CLAIM.0 ">If [COLL-AGENT] is present, [CLAIM] may not occur more than 10,000 times.</sch:assert>
        <sch:assert test="r68:CollAgent or count(r68:Claim) &lt;= 1" id="a_CLAIM.1" diagnostics="errorCode.CLAIM.1 transactional.CLAIM.1 transactional.en.CLAIM.1 ">If [COLL-AGENT] is absent, [CLAIM] may not occur more than once.</sch:assert>
      </sch:rule>
    </sch:pattern>
  <sch:diagnostics>
    <sch:diagnostic id="errorCode.IRheader.0">5004</sch:diagnostic>
    <sch:diagnostic id="transactional.IRheader.0">At least one key must exist in the IRheader</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.IRheader.0">At least one key must exist in the IRheader</sch:diagnostic>
    <sch:diagnostic id="errorCode.IRheader.1">5005</sch:diagnostic>
    <sch:diagnostic id="transactional.IRheader.1">Keys in the GovTalkDetails do not match those in the IRheader.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.IRheader.1">Keys in the GovTalkDetails do not match those in the IRheader.</sch:diagnostic>
    <sch:diagnostic id="errorCode.COLL-AGENT.0">7021</sch:diagnostic>
    <sch:diagnostic id="transactional.COLL-AGENT.0">This is a submission from a Collecting Agent so it must include Collecting Agent details</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.COLL-AGENT.0">This is a submission from a Collecting Agent so it must include Collecting Agent details</sch:diagnostic>
    <sch:diagnostic id="errorCode.COLL-AGENT.1">7022</sch:diagnostic>
    <sch:diagnostic id="transactional.COLL-AGENT.1">This is not a submission from a Collecting Agent so it must not include Collecting Agent details</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.COLL-AGENT.1">This is not a submission from a Collecting Agent so it must not include Collecting Agent details</sch:diagnostic>
    <sch:diagnostic id="errorCode.CLAIM.0">7023</sch:diagnostic>
    <sch:diagnostic id="transactional.CLAIM.0">A Collecting Agent submission must not include more than 10000 individual orgnisations claims</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.CLAIM.0">A Collecting Agent submission must not include more than 10000 individual orgnisations claims</sch:diagnostic>
    <sch:diagnostic id="errorCode.CLAIM.1">7024</sch:diagnostic>
    <sch:diagnostic id="transactional.CLAIM.1">This is not a submision from a Collecting Agent so must only include 1 individual organisations claim</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.CLAIM.1">This is not a submision from a Collecting Agent so must only include 1 individual organisations claim</sch:diagnostic>
    <sch:diagnostic id="errorCode.COLL-AGENCY-NUMBER.0">7025</sch:diagnostic>
    <sch:diagnostic id="transactional.COLL-AGENCY-NUMBER.0">The same Collecting Agent reference must be used throughout this submission</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.COLL-AGENCY-NUMBER.0">The same Collecting Agent reference must be used throughout this submission</sch:diagnostic>
    <sch:diagnostic id="errorCode.OFF-PERSON.0">7026</sch:diagnostic>
    <sch:diagnostic id="transactional.OFF-PERSON.0">You must provide the name of the Authorised Official or the Corporate Trustee or both</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.OFF-PERSON.0">You must provide the name of the Authorised Official or the Corporate Trustee or both</sch:diagnostic>
    <sch:diagnostic id="errorCode.AGENT-OR-NOMINEE.0">7027</sch:diagnostic>
    <sch:diagnostic id="transactional.AGENT-OR-NOMINEE.0">You must provide the Agent or Nominee name or the Nominee Organisation name or both</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.AGENT-OR-NOMINEE.0">You must provide the Agent or Nominee name or the Nominee Organisation name or both</sch:diagnostic>
    <sch:diagnostic id="errorCode.CLAIM.3">7028</sch:diagnostic>
    <sch:diagnostic id="transactional.CLAIM.3">You must provide details of the Tax Repayment claim or the GASDS claim or both</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.CLAIM.3">You must provide details of the Tax Repayment claim or the GASDS claim or both</sch:diagnostic>
    <sch:diagnostic id="errorCode.CLAIM.4">7029</sch:diagnostic>
    <sch:diagnostic id="transactional.CLAIM.4">Regulator details must be provided if the HMRC Charities Reference does not start with CH or CF and Collecting Agent details are absent</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.CLAIM.4">Regulator details must be provided if the HMRC Charities Reference does not start with CH or CF and Collecting Agent details are absent</sch:diagnostic>
    <sch:diagnostic id="errorCode.ORG-REF.0">7030</sch:diagnostic>
    <sch:diagnostic id="transactional.ORG-REF.0">The same HMRC Charities Reference must be used throughout this submission unless the Collecting Agent details are present</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.ORG-REF.0">The same HMRC Charities Reference must be used throughout this submission unless the Collecting Agent details are present</sch:diagnostic>
    <sch:diagnostic id="errorCode.REGULATOR.0">7031</sch:diagnostic>
    <sch:diagnostic id="transactional.REGULATOR.0">The Regulators Number must be present if Regulators Name is present</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.REGULATOR.0">The Regulators Number must be present if Regulators Name is present</sch:diagnostic>
    <sch:diagnostic id="errorCode.REGULATOR.1">7032</sch:diagnostic>
    <sch:diagnostic id="transactional.REGULATOR.1">Regulator details must not be present if Collecting Agent details are present</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.REGULATOR.1">Regulator details must not be present if Collecting Agent details are present</sch:diagnostic>
    <sch:diagnostic id="errorCode.REGULATOR.2">7033</sch:diagnostic>
    <sch:diagnostic id="transactional.REGULATOR.2">Regulator details must be absent if HMRC Charities Reference starts with CH or CF</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.REGULATOR.2">Regulator details must be absent if HMRC Charities Reference starts with CH or CF</sch:diagnostic>
    <sch:diagnostic id="errorCode.TAX-REPAYMENT.0">7034</sch:diagnostic>
    <sch:diagnostic id="transactional.TAX-REPAYMENT.0">The Earliest Donation Date must be present if Gift Aid Donation data is present</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.TAX-REPAYMENT.0">The Earliest Donation Date must be present if Gift Aid Donation data is present</sch:diagnostic>
    <sch:diagnostic id="errorCode.TAX-REPAYMENT.1">7035</sch:diagnostic>
    <sch:diagnostic id="transactional.TAX-REPAYMENT.1">A Tax Repayment request must include details of Gift Aid Donations or Other Income or both</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.TAX-REPAYMENT.1">A Tax Repayment request must include details of Gift Aid Donations or Other Income or both</sch:diagnostic>
    <sch:diagnostic id="errorCode.TAX-REPAYMENT.2">7036</sch:diagnostic>
    <sch:diagnostic id="transactional.TAX-REPAYMENT.2">A Tax Repayment claim must not include more than 500000 sets of Gift Aid Donation details</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.TAX-REPAYMENT.2">A Tax Repayment claim must not include more than 500000 sets of Gift Aid Donation details</sch:diagnostic>
    <sch:diagnostic id="errorCode.TAX-REPAYMENT.3">7037</sch:diagnostic>
    <sch:diagnostic id="transactional.TAX-REPAYMENT.3">A Tax Repayment claim must not include more than 2000 sets of Other Income details</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.TAX-REPAYMENT.3">A Tax Repayment claim must not include more than 2000 sets of Other Income details</sch:diagnostic>
    <sch:diagnostic id="errorCode.AGGREGATED-DONATIONS.0">7038</sch:diagnostic>
    <sch:diagnostic id="transactional.AGGREGATED-DONATIONS.0">If details of Aggregated Donations are submitted then the Gift Aid Donation Total must not exceed 1000</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.AGGREGATED-DONATIONS.0">If details of Aggregated Donations are submitted then the Gift Aid Donation Total must not exceed 1000</sch:diagnostic>
    <sch:diagnostic id="errorCode.SPONSORED-EVENT-IND.0">7039</sch:diagnostic>
    <sch:diagnostic id="transactional.SPONSORED-EVENT-IND.0">The Sponsored Event indicator must not be sent if the submission includes details of Aggregated Donations</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SPONSORED-EVENT-IND.0">The Sponsored Event indicator must not be sent if the submission includes details of Aggregated Donations</sch:diagnostic>
    <sch:diagnostic id="errorCode.DONATION-DATE.0">7040</sch:diagnostic>
    <sch:diagnostic id="transactional.DONATION-DATE.0">The Gift Aid Donation date must not be later than than today</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.DONATION-DATE.0">The Gift Aid Donation date must not be later than than today</sch:diagnostic>
    <sch:diagnostic id="errorCode.OTHER-INCOME.0">7041</sch:diagnostic>
    <sch:diagnostic id="transactional.OTHER-INCOME.0">A submission from a Collecting Agent must not include details of Other Income</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.OTHER-INCOME.0">A submission from a Collecting Agent must not include details of Other Income</sch:diagnostic>
    <sch:diagnostic id="errorCode.OI-DATE.0">7042</sch:diagnostic>
    <sch:diagnostic id="transactional.OI-DATE.0">The Date of Payment for Other Income must not be later than today</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.OI-DATE.0">The Date of Payment for Other Income must not be later than today</sch:diagnostic>
    <sch:diagnostic id="errorCode.OI-TAX-DEDUCTED.0">7043</sch:diagnostic>
    <sch:diagnostic id="transactional.OI-TAX-DEDUCTED.0">The Tax Deducted from Other Income must be less than the Gross Payment Received</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.OI-TAX-DEDUCTED.0">The Tax Deducted from Other Income must be less than the Gross Payment Received</sch:diagnostic>
    <sch:diagnostic id="errorCode.ADJUSTMENT.0">7059</sch:diagnostic>
    <sch:diagnostic id="transactional.ADJUSTMENT.0">If a Repayment claim includes an Adjustment amount then Other Information data must be included</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.ADJUSTMENT.0">If a Repayment claim includes an Adjustment amount then Other Information data must be included</sch:diagnostic>
    <sch:diagnostic id="errorCode.GASDS.0">7044</sch:diagnostic>
    <sch:diagnostic id="transactional.GASDS.0">A submission from a Collecting Agent must not include details of Gift Aid Small Donations Schemes</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.GASDS.0">A submission from a Collecting Agent must not include details of Gift Aid Small Donations Schemes</sch:diagnostic>
    <sch:diagnostic id="errorCode.GASDS.1">7045</sch:diagnostic>
    <sch:diagnostic id="transactional.GASDS.1">A GASDS claim must not include details of more than 1000 Connected Charities</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.GASDS.1">A GASDS claim must not include details of more than 1000 Connected Charities</sch:diagnostic>
    <sch:diagnostic id="errorCode.GASDS.2">7046</sch:diagnostic>
    <sch:diagnostic id="transactional.GASDS.2">A GASDS claim must not include details of more than 1000 Community Buildings</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.GASDS.2">A GASDS claim must not include details of more than 1000 Community Buildings</sch:diagnostic>
    <sch:diagnostic id="errorCode.GASDS-CONNECTED-CHARITIES.2">7047</sch:diagnostic>
    <sch:diagnostic id="transactional.GASDS-CONNECTED-CHARITIES.2">A GASDS claim must include details of all Connected Charities if the Connected Charities indicator is yes</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.GASDS-CONNECTED-CHARITIES.2">A GASDS claim must include details of all Connected Charities if the Connected Charities indicator is yes</sch:diagnostic>
    <sch:diagnostic id="errorCode.GASDS-CONNECTED-CHARITIES.0">7048</sch:diagnostic>
    <sch:diagnostic id="transactional.GASDS-CONNECTED-CHARITIES.0">A GASDS claim must not include details of any Connected Charity if the Connected Charities indicator is no</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.GASDS-CONNECTED-CHARITIES.0">A GASDS claim must not include details of any Connected Charity if the Connected Charities indicator is no</sch:diagnostic>
    <sch:diagnostic id="errorCode.GASDS-TAX-YEAR.0">7049</sch:diagnostic>
    <sch:diagnostic id="transactional.GASDS-TAX-YEAR.0">A GASDS claim must not be made for any tax year later than the current tax year</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.GASDS-TAX-YEAR.0">A GASDS claim must not be made for any tax year later than the current tax year</sch:diagnostic>
    <sch:diagnostic id="errorCode.GASDS-TAX-YEAR.1">7050</sch:diagnostic>
    <sch:diagnostic id="transactional.GASDS-TAX-YEAR.1">A GASDS claim must not be made for any tax year earlier than the previous 3 tax years</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.GASDS-TAX-YEAR.1">A GASDS claim must not be made for any tax year earlier than the previous 3 tax years</sch:diagnostic>
    <sch:diagnostic id="errorCode.GASDS-TAX-YEAR.2">7051</sch:diagnostic>
    <sch:diagnostic id="transactional.GASDS-TAX-YEAR.2">Only 1 GASDS claim per Tax Year can be included within this submission</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.GASDS-TAX-YEAR.2">Only 1 GASDS claim per Tax Year can be included within this submission</sch:diagnostic>
    <sch:diagnostic id="errorCode.GASDS-COMMUNITY-BUILDINGS.0">7052</sch:diagnostic>
    <sch:diagnostic id="transactional.GASDS-COMMUNITY-BUILDINGS.0">A GASDS claim must include details of any Community Buildings if the Community Buildings indicator is yes</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.GASDS-COMMUNITY-BUILDINGS.0">A GASDS claim must include details of any Community Buildings if the Community Buildings indicator is yes</sch:diagnostic>
    <sch:diagnostic id="errorCode.GASDS-COMMUNITY-BUILDINGS.1">7053</sch:diagnostic>
    <sch:diagnostic id="transactional.GASDS-COMMUNITY-BUILDINGS.1">A GASDS claim must not include details of any Community Buildings if the Community Buildings indicator is no</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.GASDS-COMMUNITY-BUILDINGS.1">A GASDS claim must not include details of any Community Buildings if the Community Buildings indicator is no</sch:diagnostic>
    <sch:diagnostic id="errorCode.GASDS-COMMUNITY-BUILDINGS.2">7060</sch:diagnostic>
    <sch:diagnostic id="transactional.GASDS-COMMUNITY-BUILDINGS.2">A GASDS claim must include the Community Buildings indicator as no if the HMRC Charities Reference starts with CH or CF</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.GASDS-COMMUNITY-BUILDINGS.2">A GASDS claim must include the Community Buildings indicator as no if the HMRC Charities Reference starts with CH or CF</sch:diagnostic>
    <sch:diagnostic id="errorCode.GASDS-CB-TAX-YEAR.0">7054</sch:diagnostic>
    <sch:diagnostic id="transactional.GASDS-CB-TAX-YEAR.0">A GASDS claim for Community Buildings must not be made for any tax year later than the current tax year</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.GASDS-CB-TAX-YEAR.0">A GASDS claim for Community Buildings must not be made for any tax year later than the current tax year</sch:diagnostic>
    <sch:diagnostic id="errorCode.GASDS-CB-TAX-YEAR.1">7055</sch:diagnostic>
    <sch:diagnostic id="transactional.GASDS-CB-TAX-YEAR.1">A GASDS claim for Community Buildings must not be made for any tax year earlier than the previous 3 tax years</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.GASDS-CB-TAX-YEAR.1">A GASDS claim for Community Buildings must not be made for any tax year earlier than the previous 3 tax years</sch:diagnostic>
    <sch:diagnostic id="errorCode.GASDS-CB-TAX-YEAR.2">7056</sch:diagnostic>
    <sch:diagnostic id="transactional.GASDS-CB-TAX-YEAR.2">Only 1 GASDS for Community Buidings claim per year can be included within this submission</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.GASDS-CB-TAX-YEAR.2">Only 1 GASDS for Community Buidings claim per year can be included within this submission</sch:diagnostic>
    <sch:diagnostic id="errorCode.GASDS-ADJUSTMENT.0">7061</sch:diagnostic>
    <sch:diagnostic id="transactional.GASDS-ADJUSTMENT.0">If a GASDS claim includes an Adjustment amount then Other Information data must be included</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.GASDS-ADJUSTMENT.0">If a GASDS claim includes an Adjustment amount then Other Information data must be included</sch:diagnostic>
  </sch:diagnostics>
</sch:schema>
